curl --location 'https://api.sarasfinance.com/v1/process/projects/getUsersForProcess?subProjectId=93d599a6-a396-4ef6-b30e-aff95c56c523&page=1&perPageCount=10' \
--header 'Authorization: Bearer <token>'
{
"meta": {
"page": "1",
"perPageCount": "10",
"totalCount": "2",
"totalPages": "1"
},
"users": [
{
"id": "usr_9d82fb10",
"name": "Alex Mercer",
"email": "alex.mercer@sarasfinance.com",
"role": "MANAGER"
},
{
"id": "usr_c83b271d",
"name": "Sarah Connor",
"email": "sarah.connor@sarasfinance.com",
"role": "ASSIGNEE"
}
]
}
Users
Get Process Users
Retrieve users eligible to be assigned to a specific process within a sub-project based on RBAC configuration.
GET
/
v1
/
process
/
projects
/
getUsersForProcess
curl --location 'https://api.sarasfinance.com/v1/process/projects/getUsersForProcess?subProjectId=93d599a6-a396-4ef6-b30e-aff95c56c523&page=1&perPageCount=10' \
--header 'Authorization: Bearer <token>'
{
"meta": {
"page": "1",
"perPageCount": "10",
"totalCount": "2",
"totalPages": "1"
},
"users": [
{
"id": "usr_9d82fb10",
"name": "Alex Mercer",
"email": "alex.mercer@sarasfinance.com",
"role": "MANAGER"
},
{
"id": "usr_c83b271d",
"name": "Sarah Connor",
"email": "sarah.connor@sarasfinance.com",
"role": "ASSIGNEE"
}
]
}
Query Parameters
string
required
The unique identifier for the sub-project.
string
The unique identifier for the specific process (optional).
string
Pagination page number (optional).
string
Number of results per page (optional).
Response
object
object[]
curl --location 'https://api.sarasfinance.com/v1/process/projects/getUsersForProcess?subProjectId=93d599a6-a396-4ef6-b30e-aff95c56c523&page=1&perPageCount=10' \
--header 'Authorization: Bearer <token>'
{
"meta": {
"page": "1",
"perPageCount": "10",
"totalCount": "2",
"totalPages": "1"
},
"users": [
{
"id": "usr_9d82fb10",
"name": "Alex Mercer",
"email": "alex.mercer@sarasfinance.com",
"role": "MANAGER"
},
{
"id": "usr_c83b271d",
"name": "Sarah Connor",
"email": "sarah.connor@sarasfinance.com",
"role": "ASSIGNEE"
}
]
}
Error Codes
| Code | ID | Description |
|---|---|---|
ERROR_PROCESS_META_IS_MISSING_IN_REQUEST | 1200 | Metadata missing in request |
ERROR_SUBPROCESS_META_NOT_FOUND | 1202 | Sub-project metadata not found |
ERROR_RBAC_SETTINGS_MISSING | 1203 | RBAC settings missing or invalid |
ERROR_NOT_ALLOWED_TO_GET | 1205 | User unauthorized to view users list |
⌘I
